PDA

View Full Version : Can GLaux file work with Dev-C++??



3rdElement *a*
01-09-2004, 08:33 PM
Guys,

I am creating a Blank window from openGL, implementing codes just for pratice, getting idea how it works. Anyway, it would not compile and run since I don't have GLaux files in Dev-C++ library. And I assume that I would need to download it from some site. Now, on many issues around...Lot of OpenGL programmers hates GLaux Library because it would not work on some computers. Now question is, if I download GLaux file, would that be compatible with DEV-C++? I am running windows 2000 pro edition. Tell me what should I do?

mikael_aronsson
01-10-2004, 12:28 AM
Hi !

glaux is oooold, that is the main reason, but it still works fine on Windows so as long as you stick that windows there should be no problem.

DevC++ uses the MinGW/gcc compiler so you will not have any problem using the dll from DevC++ applications (but do not try to use a C++ library compiled on another compiler with DevC++, it only works with C code).

Mikael

nexusone
01-10-2004, 04:18 AM
If you have downloaded the newest Dev-C++, I am sure that they now have the glaux library included.

Remember the Dev-C library files are named diffrent from the Visual C++ library files and you can not use a Visual C library with Dev-C++. Dev library files start with "lib" and end with the extension "a".

Look in the lib folder for libglaux.a and add -glaux to the linker include options in the compiler.

I noticed that on my version for Dev-C++ the glaux library was included, but the header file was missing (glaux.h). But you can download the glaux.h from any source since it is not like the library which must be compiled for the compiler that you are using.

But I would not use glaux, but the glut library instead just for opening a window and getting your feet wet. the glut library works on all computer systems and is included with the DEV-C++ compiler.

I have examples of using glut on my website, plus how to set it up under DEV-C. www.angelfire.com/linux/nexusone/ (http://www.angelfire.com/linux/nexusone/)



[This message has been edited by nexusone (edited 01-10-2004).]

mikael_aronsson
01-10-2004, 04:42 AM
Not 100% correct, all 3.x versions of gcc can handle .lib files without any troubles, you just have to include them with gcc ... glaux.lib instead of gcc ... -lglaux

Mikael